Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.nullObject
Interface NullObject

All Known Implementing Classes:
  EmptyEnumeration, NullPropertyChangeSupport, NullVetoableChangeSupport

public interface NullObject

Marker interface to be implemented by Null Objects--objects which serve to decrease number of null tests. At some places null tests are still necessary and `instanceof NullObject` can be used instead `== null` (which doesn't work if Null Object is used)

Author:
  TogetherSoft

Field Summary
`final static boolean[]` | `EMPTY_BOOLEAN_ARRAY`
`final static byte[]` | `EMPTY_BYTE_ARRAY`
`final static char[]` | `EMPTY_CHAR_ARRAY`
`final static double[]` | `EMPTY_DOUBLE_ARRAY`
`final static float[]` | `EMPTY_FLOAT_ARRAY`
`final static int[]` | `EMPTY_INT_ARRAY`
`final static long[]` | `EMPTY_LONG_ARRAY`
`final static Object[]` | `EMPTY_OBJECT_ARRAY`
`final static short[]` | `EMPTY_SHORT_ARRAY`
`final static String[]` | `EMPTY_STRING_ARRAY`

Field Detail

### EMPTY_BOOLEAN_ARRAY

    public final static boolean[] EMPTY_BOOLEAN_ARRAY

### EMPTY_BYTE_ARRAY

    public final static byte[] EMPTY_BYTE_ARRAY

### EMPTY_CHAR_ARRAY

    public final static char[] EMPTY_CHAR_ARRAY

### EMPTY_DOUBLE_ARRAY

    public final static double[] EMPTY_DOUBLE_ARRAY

### EMPTY_FLOAT_ARRAY

    public final static float[] EMPTY_FLOAT_ARRAY

### EMPTY_INT_ARRAY

    public final static int[] EMPTY_INT_ARRAY

### EMPTY_LONG_ARRAY

    public final static long[] EMPTY_LONG_ARRAY

### EMPTY_OBJECT_ARRAY

    public final static Object[] EMPTY_OBJECT_ARRAY

### EMPTY_SHORT_ARRAY

    public final static short[] EMPTY_SHORT_ARRAY

### EMPTY_STRING_ARRAY

    public final static String[] EMPTY_STRING_ARRAY

Association Links

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD